For the complete documentation index, see llms.txt. This page is also available as Markdown.

FASTag Last Location Verification

FASTag Last Location Verification API retrieves the last known movement of a commercial vehicle across toll plazas within the previous 72 hours based on the provided vehicle registration number. The API helps verify the vehicle's recent travel history by returning its last recorded toll plaza location details. This service is applicable only to commercial vehicles.

fastag_verification

POST https://secctrl.tutelar.io/api/v2/services/business_profile/fastag_location_verify

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Sample Request Body

Body
Type
Mandatory
Description

vehicleNumber

string

Yes

Commercial Vehicle Number registered in Fastag.

Sample Post Parameters

{
    "vehicleNumber": "TN01AB1234",
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "552434c5-f55a-48f4-ab1b-562282431316",
    "status": "completed",
    "result": [
        {
            "laneDirection": "South",
            "readerReadTime": "2026-07-23 05:58:17.000",
            "seqNo": "160723060248536233962",
            "tollPlazaGeocode": "9.989594, 78.244086",
            "tollPlazaName": "Chittampatti Toll Plaza",
            "vehicleRegNo": "TN01AB1234",
            "vehicleType": "VC7"
        },
        
        {
            "laneDirection": "West",
            "readerReadTime": "2026-07-23 00:57:44.000",
            "seqNo": "006891549784",
            "tollPlazaGeocode": "12.024441, 79.538059",
            "tollPlazaName": "Vikkravandi Toll Plaza",
            "vehicleRegNo": "TN01AB1234",
            "vehicleType": "VC7"
        },
        {
            "laneDirection": "North",
            "readerReadTime": "2026-07-23 00:10:49.000",
            "seqNo": "NETCAC2620400778236195",
            "tollPlazaGeocode": "12.346862, 79.779856",
            "tollPlazaName": "Athur Toll Plaza",
            "vehicleRegNo": "TN01AB1234",
            "vehicleType": "VC7"
        },
        {
            "laneDirection": "East",
            "readerReadTime": "2026-07-22 02:47:54.000",
            "seqNo": "006888028684",
            "tollPlazaGeocode": "12.024441, 79.538059",
            "tollPlazaName": "Vikkravandi Toll Plaza",
            "vehicleRegNo": "TN01AB1234",
            "vehicleType": "VC7"
        }
    ],
    "requested_at": "2026-07-23T14:16:30.866Z",
    "completed_at": "2026-07-23T14:16:35.604Z"
}

Get details

GET https://secctrl.tutelar.io/api/v2/services/business_profile/fastag_location_verify

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated